Subject: bug#15758: grep 2.15 calls abort() on larger searches with -P

From: Jim Meyering <[email-masked]>
Date: Thu, 19 Dec 2013 10:34:05 -0800

On Wed, Dec 18, 2013 at 3:09 PM, Santiago <[email-masked]> wrote:
> El 18/12/13 a las 09:45, Jim Meyering escribió:
...
>>   printf 'j\x82\nj\n'|LC_ALL=en_US.UTF-8 grep -P j|cat -A; echo $?
>>
>> For me (using pcre-8.33), it works the way I want and both matches:
>>
>>       jM-^B$
>>       j$
>>       0
>>
>> Hmm... I see that with debian unstable's 8.31-2, it does indeed act differently.
>> I may have to think about excluding pcre support when the version
>> doesn't work the way I want.
>
> I get this:
>
> $ printf 'j\x82\nj\n'|LC_ALL=en_US.UTF-8 src/grep -P j|cat -A; echo $?
> src/grep: invalid UTF-8 byte sequence in input
> 0
>
> I've also tried building debian packages for pcre 8.33 and 8.34, with same
> results. I need to take a look if a debian patch is giving trouble.

I have confirmed that grep linked with libpcre.a built from upstream
sources [commit f9d3a72ea5e86a674a9836b462e1231ecce0d739] (8.34) also
works way I expect.